Create Corporate Customer Wallet
curl --request POST \
--url https://waas-staging.embedly.ng/api/v1/corporate/customers/{customerId}/wallets \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"currencyId": "<string>",
"name": "<string>"
}
'import requests
url = "https://waas-staging.embedly.ng/api/v1/corporate/customers/{customerId}/wallets"
payload = {
"currencyId": "<string>",
"name": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({currencyId: '<string>', name: '<string>'})
};
fetch('https://waas-staging.embedly.ng/api/v1/corporate/customers/{customerId}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "00",
"success": true,
"message": "Created Successfully",
"data": {
"id": "a6d754bb-a7af-11f0-8d44-4af84d9ff6f1",
"currencyId": "12345f0c-24fa-410c-b66c-1hhec56e5cd8",
"customerId": "037be221-6a1e-458c-aa50-c2ff06136b83",
"name": "Chow/Chow's Business - Chow's first",
"walletGroupId": null,
"customerTypeId": "23g77cf6-f355-4536-ae96-adf24682809f",
"virtualAccount": {
"accountNumber": "9710123456",
"bankCode": "232",
"bankName": "Sterling Bank"
}
}
}
{
"code": "500",
"success": false,
"message": "An unexpected error occurred",
"data": null
}
Wallet
Create Corporate Customer Wallet
This endpoint enables you to create a wallet for a corporate customer
POST
/
corporate
/
customers
/
{customerId}
/
wallets
Create Corporate Customer Wallet
Request Parameters
string
required
Thr unique identifier of the corporate customer to whom the director is to be
added. Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6string
required
The unique identifier of the currency. Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6string
The name of the Wallet. Example:
Fola and Sons{
"code": "00",
"success": true,
"message": "Created Successfully",
"data": {
"id": "a6d754bb-a7af-11f0-8d44-4af84d9ff6f1",
"currencyId": "12345f0c-24fa-410c-b66c-1hhec56e5cd8",
"customerId": "037be221-6a1e-458c-aa50-c2ff06136b83",
"name": "Chow/Chow's Business - Chow's first",
"walletGroupId": null,
"customerTypeId": "23g77cf6-f355-4536-ae96-adf24682809f",
"virtualAccount": {
"accountNumber": "9710123456",
"bankCode": "232",
"bankName": "Sterling Bank"
}
}
}
{
"code": "500",
"success": false,
"message": "An unexpected error occurred",
"data": null
}
⌘I